curl --request GET \
--url https://testnet.derivadex.io/stats/api/v1/insurance_fundimport requests
url = "https://testnet.derivadex.io/stats/api/v1/insurance_fund"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://testnet.derivadex.io/stats/api/v1/insurance_fund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://testnet.derivadex.io/stats/api/v1/insurance_fund",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://testnet.derivadex.io/stats/api/v1/insurance_fund"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://testnet.derivadex.io/stats/api/v1/insurance_fund")
.asString();require 'uri'
require 'net/http'
url = URI("https://testnet.derivadex.io/stats/api/v1/insurance_fund")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"nextEpoch": 100,
"nextTxOrdinal": 3432,
"nextOrdinal": 100,
"value": [
{
"epochId": 100,
"txOrdinal": 3432,
"symbol": "USDC",
"totalCapitalization": "1000000",
"kind": 0,
"createdAt": "2023-01-06T16:37:27.929Z"
}
],
"success": true,
"timestamp": 1673031089
}{
"success": false,
"errorMsg": "<string>"
}{
"success": false,
"errorMsg": "<string>"
}Get Insurance Fund History
Get insurance fund balance
curl --request GET \
--url https://testnet.derivadex.io/stats/api/v1/insurance_fundimport requests
url = "https://testnet.derivadex.io/stats/api/v1/insurance_fund"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://testnet.derivadex.io/stats/api/v1/insurance_fund', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://testnet.derivadex.io/stats/api/v1/insurance_fund",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://testnet.derivadex.io/stats/api/v1/insurance_fund"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://testnet.derivadex.io/stats/api/v1/insurance_fund")
.asString();require 'uri'
require 'net/http'
url = URI("https://testnet.derivadex.io/stats/api/v1/insurance_fund")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body{
"nextEpoch": 100,
"nextTxOrdinal": 3432,
"nextOrdinal": 100,
"value": [
{
"epochId": 100,
"txOrdinal": 3432,
"symbol": "USDC",
"totalCapitalization": "1000000",
"kind": 0,
"createdAt": "2023-01-06T16:37:27.929Z"
}
],
"success": true,
"timestamp": 1673031089
}{
"success": false,
"errorMsg": "<string>"
}{
"success": false,
"errorMsg": "<string>"
}Query Parameters
The number of rows to return
The epoch boundary used when fetching the next timeseries page.
The txOrdinal boundary used when fetching the next timeseries page. Must be passed along with epoch.
The ordering of the results.
asc, desc The symbol
Response
Insurance fund capitalization timeseries data
Successful response for Insurance Fund API
Pointer for the epoch boundary of the next page. Will return null when there is no more data left to fetch.
100
null
Pointer for the txOrdinal boundary of the next page. Will return null when there is no more data left to fetch.
3432
null
Pointer for the ordinal boundary of the next page. Will return null when there is no more data left to fetch.
100
null
The value of the response
Show child attributes
Show child attributes
Whether the request was successful
The timestamp of the response
1673031089